---
title: "Gitea Source-Upgrade Script"
date: 2017-04-09T22:00:00+02:00
draft: false
author: robert-kaussow
description: "Wenn man Gitea aus den Quellen installiert hat, sind Updates nicht so leicht durchzuführen. Um diesen Prozess zu vereinfachen habe ich ein Python-Script geschrieben, welches bei Updates Benachrichtigungen versendet und das Update auf Wunsch auch automatisch durchführen kann."
categories:
  - Server
  - Entwicklung
  - Open Source
---

Nach meiner Migration von Gogs zu Gitea stellte sich mir die Frage, wie installiere ich Updates und wie werde ich bei einer neuen Version automatisch benachrichtigt. Da ich keine zufriedenstellende Lösung gefunden habe und die manuelle Installation von Updates mir auf Dauer zu anstrengend ist, habe ich mir dazu ein kleines Python-Script geschrieben.

---
**_Update 12. Oktober 2018:_** Mittlerweile werden bereits für fast alle Szenarien und Plattformen offizielle Binaries bereitgestellt, sodass das Kompilieren aus den Quellen oftmals nicht mehr nötig ist.

**_Update 14. Mai 2017:_** Force-Option hinzugefügt. Das ist zum Beispiel nach einem Update der Go-Version hilfreich um Gitea neu zu bauen. Außerdem wurde das Standardverhalten des Scripts angepasst. Ohne Parameter führt das Script nur noch einen Check (inkl. Benachrichtigung) aus. Zum Installieren des Updates wird der Parameter `-u` benötigt.

**_Update 12. Mai 2017:_** Kleinere Bugfixes im Script. Danke an Tobias für den Patch.

---

Das Script erledigt bis jetzt die für mich wichtigsten Aufgaben:

- Prüfen, ob eine neue Version von Gitea verfügbar ist
- Mich per Mail benachrichtigen
- Bei Bedarf das Update durchführen.

Die aktuelle Version ist für die Nutzung mit uberspace ausgelegt, wenn ich Zeit habe, wird es eventuell eine Version geben die auch auf anderen Systemen eingesetzt werden kann. Das Script steht unter der MIT Lizenz und ist auf meinem [Gitea Server](https://git.rknet.org/xoxys/update_gitea) verfügbar. Dort findet ihr auch die Installationsanweisungen und eine kurze Einführung. Solltet ihr Fragen, Probleme oder Anregungen haben könnt ihr mir gern eine Nachricht schreiben.
