---
title: "Reboot required - Wenn der Neustart unvermeidlich ist"
date: 2018-12-21T01:00:00+02:00
draft: false
author: robert-kaussow
description: "Lange war es ruhig, über ein Jahr ist es jetzt her, dass ich den letzten Blogeintrag veröffentlicht habe. Auch auf anderen Kanälen war ich nicht mehr aktiv - ich war offline. Diese recht abrupte Auszeit war so weder geplant noch vorbereitet."
categories:
  - Meinung
  - Open Source
---

Lange war es ruhig, über ein Jahr ist es jetzt her, dass ich den letzten Blogeintrag veröffentlicht habe. Auch auf anderen Kanälen war ich nicht mehr aktiv - ich war offline. Diese recht abrupte Auszeit war so weder geplant noch vorbereitet. Doch manchmal ist auch im realen Leben ein Neustart unvermeidlich.

Jetzt mag der eine oder andere fragen _"Wer bist du?"_ und _"Du warst weg?"_ mancher erinnert sich aber vielleicht noch dunkel. Für alle die: _"Hallo, ich lebe noch und bin wieder am Netz"_. Jeder, der schon gelangweilt ist und befürchtet ich würde jetzt ganz philosophisch meine furchtbar traurige Lebensgeschichte erzählen, keine Panik ich hab mich im Griff. Viel mehr soll es in diesem ersten Beitrag um die nerdigen Themen hinter der Auszeit gehen.

Ich habe große Teile meiner Infrastruktur auf eigener Hardware betrieben, nur ein paar kleinere Komponenten fanden auf Uberspace ihr Zuhause. Die Landschaft ist über Jahre gewachsen und wurde in meinem jugendlichen Leichtsinn (OK es war einfach Unwissenheit) händisch administriert und verwaltet. Aus den anfänglich drei VM's sind mit der Zeit dann schnell 15 geworden und der administrative Aufwand war dementsprechend hoch. Dann kam der Tag X und der Server hat sich mit wilden Kernelmeldungen im Syslog und schließlich der Verweigerung des Bootvorgangs verabschiedet.

Bevor jetzt gleich wieder Panik ausbricht, jeder zum Admin wird und böse mit den Händen fuchtelnd darauf hinweist, man hätte doch lieber ein Backup machen sollen - das gab es und die Infrastruktur war nach kurzer Zeit auf die neue Hardware migriert. Ich habe mich aber dann doch dazu entschieden alles wichtige nochmal zu sichern und von null anzufangen. Ziel war es, alles zentral administrieren zu können und nicht mehr manuell auf einzelnen Servern zu arbeiten. Da ich mit Proxmox VE (PVE) als KVM Lösung bereits gute Erfahrungen gemacht hatte, sollte das auch bleiben. Offen war noch die Frage nach der richtigen Managementlösung. Gott sei Dank hatte ich gerade meine Bachelorarbeit zum Thema _"Configurationmanagement mit Ansible"_ abgegeben und war mir sicher, dass soll die Lösung werden. Gesagt getan, Git Repo und Adminhost aufgesetzt und los ging es. Knapp ein Jahr später hat das _"Projekt"_ jetzt einen Zustand erreicht, der mir gut gefällt und mir vor allem das Leben deutlich einfacher macht. Neue VM's lassen sich dank PVE API nun vollautomatisch mit Ansible und Cloud Init provisioniert und anschließend für den vorgesehenen Einsatzzweck einrichten. Ein Playbook-Aufruf später steht das fertige System nutzungsbereit zur Verfügung. Aber was noch viel wichtiger ist, es ist reproduzierbar und das exakt und ohne Arbeitsaufwand. Nebenbei habe ich dann noch den kompletten Netzwerkunterbau durch Ubiquiti Geräte getauscht und erste Gehversuche mit IoT und Smart Home unternommen aber dazu vielleicht in einem separaten Beitrag mehr.

Zu guter Letzt hat auch der Blog einen Schluck aus dem Jungbrunnen genossen. Dazu wurde das bereits bekannte Theme von Inhalt komplett separiert, die Blogengine Serendipity (s9y) durch den statischen Sitegenerator Hugo ausgetauscht und die komplette Seite auf einen frischen Uberspace7 migriert. Durch den Umbau mussten allerdings auch ein paar Features weichen. Es gibt mit der neuen Version des Blogs keine Kommentarfunktion und auch kein Kontaktformular mehr. Das hat zum einen technische Gründe, die sich sicher hätten lösen lassen, zum anderen aber auch persönliche. Ich halte es einfach nicht mehr aus durch das Internet zu surfen und an jeder Ecke beschissene Cookie-Hinweise akzeptieren und der Verarbeitung meiner Daten bei der Verwendung von Kommentarfunktionen und Formularen zustimmen zu müssen. Es nervt gewaltig! Ich habe auch keine Lust mich mit teils obskuren DSGVO Vorschriften diesbezüglich auseinander zu setzen. Aus diesem Grund und getreu dem alten Motto - Content First - zurück zum guten alten statischen HTML. Ich muss mit dieser Seite weder Geld verdienen noch meine Reichweite vergrößern. In erster Linie hat er genau einen Zweck, er bietet mir eine Plattform um meine Gedanken und meine Erfahrungen niederzuschreiben. Wenn es dann dem einen oder anderen auch noch hilft oder zu seiner Belustigung beiträgt, schön. Und für diesen Zweck braucht es weder ein gekapertes CMS noch sonstige dynamische Inhalte.

Wer sich trotzdem gerne direkt mit mir unterhalten möchte, kann das ganz klassisch per Mail tun. Weitere Kommunikationskanäle wie beispielsweise XMPP oder Mastodon werden eventuell im nächsten Jahr folgen.
